const { rollup } = require('rollup')
const postcss = require('rollup-plugin-postcss');

const test = async (name, config) => {
  const bundle = await rollup({
    input: 'index.js',
    plugins: [
      postcss(config)
    ]
  })

  await bundle.write({
    file: `dist/${name}.js`
  })
}

(async () => {
  await test('defaults')
  await test('modules-true', {
    modules: true
  })
  await test('modules-obj', {
    modules: {},
  })
  await test('modules-obj-no-auto', {
    modules: {},
    autoModules: false
  })
})()
